/*
*  qm_clickprogressbar.cpp
*  QUIMUP clickable progressbar class
*  © 2008-2024 Johan Spee
*  SPDX-License-Identifier: GPL-3.0-or-later
*/

#include "qm_clickprogressbar.h"

qm_clickProgressbar::qm_clickProgressbar (QWidget *parent)
{
    setParent(parent);
}


void qm_clickProgressbar::mouseReleaseEvent (QMouseEvent *e)
{
    if(e->button() == Qt::LeftButton)
    {
        emit clicked();
        emit clicked(e);
    }
}


void qm_clickProgressbar::mousePressEvent (QMouseEvent *e)
{
    if(e->button() == Qt::LeftButton)
    {
        emit pressed();
        emit pressed(e);
    }
}


void qm_clickProgressbar::keyPressEvent (QKeyEvent * e)
{
    e->ignore();
}


void qm_clickProgressbar::keyReleaseEvent (QKeyEvent * e)
{
    e->ignore();
}


qm_clickProgressbar::~qm_clickProgressbar()
{}
